---
title: "ListActions"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: EZGH Cloud organizations and IAM › policies

`GET /v1/actions`

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie
- `oauth`, http, header `Authorization`

## Code samples

### cURL

```curl
curl --request GET \
  --url https://orgs.ezghcloud.com/v1/actions \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://orgs.ezghcloud.com/v1/actions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://orgs.ezghcloud.com/v1/actions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success

#### Example

```json
{
  "namespaces": [
    {
      "namespace": "string",
      "displayName": "string"
    }
  ],
  "actions": [
    {
      "id": "string",
      "description": "string",
      "resource": "string",
      "namespace": "string",
      "accessLevel": "list",
      "managedPolicies": [
        "string"
      ],
      "status": "active"
    }
  ]
}
```

- `ListActions.response.200.namespaces` (array<object>, required)
  - `ListActions.response.200.namespaces.namespace` (string, required)
  - `ListActions.response.200.namespaces.displayName` (string, required)
- `ListActions.response.200.actions` (array<object>, required)
  - `ListActions.response.200.actions.id` (string, required)
  - `ListActions.response.200.actions.description` (string, required)
  - `ListActions.response.200.actions.resource` (string, required)
  - `ListActions.response.200.actions.namespace` (string, required)
  - `ListActions.response.200.actions.accessLevel` (string, required)
    - one of `"list"`, `"read"`, `"write"`
  - `ListActions.response.200.actions.managedPolicies` (array<string>, required)
  - `ListActions.response.200.actions.status` (string, required)
    - one of `"active"`, `"deprecated"`

### 400

InvalidRequest

#### Example

```json
{
  "error": {
    "code": "invalid_request",
    "message": "string",
    "issues": [
      {
        "path": "string",
        "message": "string"
      }
    ]
  }
}
```

- `ListActions.response.400.error` (object, required)
  - `ListActions.response.400.error.code` (string, required)
    - one of `"invalid_request"`
  - `ListActions.response.400.error.message` (string, required)
  - `ListActions.response.400.error.issues` (array<object>, optional)
    - `ListActions.response.400.error.issues.path` (string, required)
    - `ListActions.response.400.error.issues.message` (string, required)

### 401

Unauthenticated

#### Example

```json
{
  "error": {
    "code": "unauthenticated",
    "message": "string"
  }
}
```

- `ListActions.response.401.error` (object, required)
  - `ListActions.response.401.error.code` (string, required)
    - one of `"unauthenticated"`
  - `ListActions.response.401.error.message` (string, required)

### 403

AccessDenied | ForbiddenOrigin

#### Example

```json
{
  "error": {
    "code": "access_denied",
    "message": "string"
  }
}
```

Any of:

- [AccessDeniedEncoded](/orgs-api/schemas/AccessDeniedEncoded/)
- [ForbiddenOriginEncoded](/orgs-api/schemas/ForbiddenOriginEncoded/)

### 429

TooManyRequests

#### Example

```json
{
  "error": {
    "code": "too_many_requests",
    "message": "string"
  }
}
```

- `ListActions.response.429.error` (object, required)
  - `ListActions.response.429.error.code` (string, required)
    - one of `"too_many_requests"`
  - `ListActions.response.429.error.message` (string, required)

### 500

InternalError

#### Example

```json
{
  "error": {
    "code": "internal_error",
    "message": "string"
  }
}
```

- `ListActions.response.500.error` (object, required)
  - `ListActions.response.500.error.code` (string, required)
    - one of `"internal_error"`
  - `ListActions.response.500.error.message` (string, required)

### 503

Unavailable

#### Example

```json
{
  "error": {
    "code": "unavailable",
    "message": "string"
  }
}
```

- `ListActions.response.503.error` (object, required)
  - `ListActions.response.503.error.code` (string, required)
    - one of `"unavailable"`
  - `ListActions.response.503.error.message` (string, required)


Source: https://docs.ezghcloud.com/orgs-api/policies/ListActions/index.md
